swap
Prev | Chapter 7. Db_set | Next

## swap

### Function Details

    void swap(db_set< kdt, value_type_sub > &mp,
        bool b_truncate=true)

Swap content with another container.

This function supports auto-commit.

#### Parameters

##### b_truncate

See db_vector::swap 's b_truncate parameter for details.

##### mp

The container to swap content with.

#### See Also

db_map::swap() db_vector::clear()

### Class

db_set

Prev | Up | Next
value_comp | Home | operator==